<?xml version="1.0" encoding="UTF-8"?>
<project name="cucumber.properties">
	<script language="javascript">
		<![CDATA[
      		importClass(java.io.File);
      		var currentLocation = new File(self.getLocation().getFileName()).getParent();
      		project.setProperty("cucumber.lib", currentLocation + "/lib");
		]]>
	</script>

	<path id="cucumber.lib.path">
		<fileset dir="lib">
			<include name="**/*.jar" />
		</fileset>
	</path>

	<taskdef name="cucumber" classname="cuke4duke.ant.CucumberTask">
		<classpath refid="cucumber.lib.path" />
	</taskdef>

	<taskdef name="gem" classname="cuke4duke.ant.GemTask">
		<classpath refid="cucumber.lib.path" />
	</taskdef>

	<taskdef resource="net/sf/antcontrib/antlib.xml">
		<classpath refid="cucumber.lib.path" />
	</taskdef>

	<path id="jruby.classpath" refid="cucumber.lib.path" />
	<property name="cucumber.compile.dir" value="build/cuke-classes" />
	<property name="cucumber.features" value="build/cuke-classes" />

</project>
